Bug 1569710 - [abrt] ttm_bo_handle_move_mem: WARNING: CPU: 3 PID: 5427 at drivers/gpu/drm/nouveau/nouveau_bo.c:1291 nouveau_bo_move_ntfy+0xa9/0xd0 [nouveau] [ttm]
Summary: [abrt] ttm_bo_handle_move_mem: WARNING: CPU: 3 PID: 5427 at drivers/gpu/drm/n...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4d5cc5ffbbd85bf86a7c7070f3e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 21:02 UTC by Ray Hamel
Modified: 2019-05-28 20:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:28:45 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (120.65 KB, text/plain)
2018-04-19 21:02 UTC, Ray Hamel
no flags Details

Description Ray Hamel 2018-04-19 21:02:22 UTC
Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 3 PID: 5427 at drivers/gpu/drm/nouveau/nouveau_bo.c:1291 nouveau_bo_move_ntfy+0xa9/0xd0 [nouveau]
Modules linked in: ipheth isofs fuse rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc nls_utf8 hfsplus intel_rapl b43 btusb btrtl btbcm joydev btintel mac80211 bluetooth x86_pkg_temp_thermal ecdh_generic intel_powerclamp cfg80211 bcm5974 coretemp kvm_intel kvm ssb irqbypass mmc_core thunderbolt iTCO_wdt rfkill iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_cirrus
 snd_hda_codec_generic crct10dif_pclmul crc32_pclmul snd_hda_intel applesmc input_polldev snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm ghash_clmulni_intel bcma intel_cstate nvmem_core acpi_als kfifo_buf intel_uncore apple_gmux shpchp intel_rapl_perf snd_timer snd sbs sbshc industrialio mei_me soundcore i2c_i801 mei lpc_ich apple_bl hid_apple nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm drm crc32c_intel video uas usb_storage
CPU: 3 PID: 5427 Comm: kworker/u16:21 Not tainted 4.16.0-0.rc4.git0.1.fc28.x86_64 #1
Hardware name: Apple Inc. MacBookPro11,3/Mac-2BD1B31983FE1663, BIOS MBP112.88Z.0145.B00.1802091341 02/09/2018
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:nouveau_bo_move_ntfy+0xa9/0xd0 [nouveau]
RSP: 0018:ffffb3134717fb30 EFLAGS: 00010286
RAX: 00000000fffffff0 RBX: ffff8a2b1268b140 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000296 RDI: 0000000000000296
RBP: ffff8a2b2ff84800 R08: ffff8a2b7f2e1560 R09: 0000000000000000
R10: 0000000000000000 R11: 00000d38f0b93800 R12: ffff8a2b2ff84af0
R13: ffff8a2b5472d680 R14: ffffb3134717fc28 R15: ffff8a2b6c5ec6a8
FS:  0000000000000000(0000) GS:ffff8a2b7f2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000555ddbc3e8d6 CR3: 000000036e20a006 CR4: 00000000001606e0
Call Trace:
 ttm_bo_handle_move_mem+0xc1/0x550 [ttm]
 ? ttm_bo_evict+0x140/0x1a0 [ttm]
 ? __slab_free+0x141/0x2e0
 ? drm_ht_create+0x46/0x70 [drm]
 ? ttm_mem_evict_first+0x193/0x200 [ttm]
 ? ttm_bo_force_list_clean+0x92/0x150 [ttm]
 ? nouveau_do_suspend+0x7f/0x2c0 [nouveau]
 ? nouveau_pmops_suspend+0x30/0x70 [nouveau]
 ? pci_pm_suspend+0x72/0x120
 ? pci_pm_freeze+0xd0/0xd0
 ? dpm_run_callback+0x4f/0x120
 ? __device_suspend+0x101/0x430
 ? async_suspend+0x1a/0x90
 ? async_run_entry_fn+0x39/0x160
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: a4 31 d2 31 f6 48 89 ef e8 a5 67 e6 ff 85 c0 75 1a 48 89 df e8 f9 71 00 00 48 8b 43 10 48 8d 58 f0 49 39 c4 75 db e9 7a ff ff ff <0f> 0b eb e2 48 3d 40 9c 30 c0 0f 85 6a ff ff ff 48 8b 87 f0 02

Comment 1 Ray Hamel 2018-04-19 21:02:32 UTC
Created attachment 1424292 [details]
File: dmesg

Comment 2 Ismael Filipe 2018-06-02 18:58:56 UTC
Description of problem:
I was watching a movie with some softwares opened in background like microsoft code, a bunch of terminal  and chrome.
The image of the movie freezes and its not possible to reactivate with a interruption of the keyboard or mice, but it's possible to connect using ssh.
I tryed to understand the crash...  then i try to reboot using command but it was not possible forcing me to press the power button.

Version-Release number of selected component:
kernel-core-4.16.11-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.11-300.fc28.x86_64 root=UUID=e13c7507-2c86-4a68-b185-0f53670c01c4 ro resume=UUID=72828b24-b646-4323-8ad4-ff4b5624b192 rhgb quiet LANG=pt_BR.UTF-8
crash_function: ttm_bo_handle_move_mem
kernel:         4.16.11-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 10771 at drivers/gpu/drm/nouveau/nouveau_bo.c:1290 nouveau_bo_move_ntfy+0xa9/0xd0 [nouveau]
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ccm ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc snd_hda_codec_analog snd_hda_codec_generic coretemp kvm_intel arc4 snd_hda_intel kvm snd_hda_codec snd_hda_core snd_hwdep iTCO_wdt iTCO_vendor_support snd_seq snd_seq_device irqbypass joydev ath5k mac80211 snd_pcm lpc_ich ath cfg80211 snd_timer
 rfkill snd soundcore i2c_i801 acpi_cpufreq shpchp asus_atk0110 x38_edac uas usb_storage nouveau video mxm_wmi wmi i2c_algo_bit drm_kms_helper firewire_ohci ttm firewire_core crc_itu_t drm serio_raw ata_generic pata_acpi sky2 pata_jmicron
CPU: 0 PID: 10771 Comm: totem Not tainted 4.16.11-300.fc28.x86_64 #1
Hardware name: System manufacturer Rampage Formula/Rampage Formula, BIOS 0308    04/03/2008
RIP: 0010:nouveau_bo_move_ntfy+0xa9/0xd0 [nouveau]
RSP: 0018:ffffb2ce88183860 EFLAGS: 00010286
RAX: 00000000fffffff0 RBX: ffff9b53511368c0 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000246 RDI: ffffb2ce812aa048
RBP: ffff9b5329e2c000 R08: ffff9b542fc215a0 R09: 0000000000000000
R10: 0000000000000000 R11: 00001150b43db9c0 R12: ffff9b5329e2c2f0
R13: ffff9b5379272200 R14: ffffb2ce88183958 R15: ffff9b54262dc6a8
FS:  00007fe856357a80(0000) GS:ffff9b542fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000032eb27fa9160 CR3: 000000012dc9e000 CR4: 00000000000006f0
Call Trace:
 ttm_bo_handle_move_mem+0xc1/0x530 [ttm]
 ? ttm_bo_evict+0x140/0x1a0 [ttm]
 ? update_load_avg+0x45b/0x520
 ? drm_rect_clip_scaled+0x126/0x160 [drm]
 ? ttm_mem_evict_first+0x193/0x200 [ttm]
 ? ttm_bo_mem_space+0x2de/0x4a0 [ttm]
 ? ttm_bo_validate+0xc7/0x130 [ttm]
 ? drm_rect_clip_scaled+0x126/0x160 [drm]
 ? ttm_bo_init_reserved+0x334/0x380 [ttm]
 ? ttm_bo_init+0x62/0xd0 [ttm]
 ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
 ? nouveau_bo_new+0x3fa/0x580 [nouveau]
 ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
 ? nouveau_gem_new+0x120/0x120 [nouveau]
 ? nouveau_gem_new+0x5d/0x120 [nouveau]
 ? nouveau_gem_ioctl_new+0x53/0xe0 [nouveau]
 ? drm_ioctl_kernel+0x5b/0xb0 [drm]
 ? drm_ioctl+0x1c0/0x380 [drm]
 ? nouveau_gem_new+0x120/0x120 [nouveau]
 ? __handle_mm_fault+0xdb3/0x12f0
 ? eventfd_read+0xe6/0x290
 ? __inode_wait_for_writeback+0x7f/0xf0
 ? nouveau_drm_ioctl+0x65/0xc0 [nouveau]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: a4 31 d2 31 f6 48 89 ef e8 05 b8 ef ff 85 c0 75 1a 48 89 df e8 f9 71 00 00 48 8b 43 10 48 8d 58 f0 49 39 c4 75 db e9 7a ff ff ff <0f> 0b eb e2 48 3d e0 bb 5c c0 0f 85 6a ff ff ff 48 8b 87 f0 02

Comment 3 Ben Cotton 2019-05-02 19:20:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-02 21:39:48 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 20:28:45 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.